JaxbPersistenceUnitDefaults (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbPersistenceUnitDefaults

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbPersistenceUnitDefaults

    public class JaxbPersistenceUnitDefaults

extends Object

These defaults are applied to the persistence unit as a whole unless they are overridden by local annotation or XML element settings. schema - Used as the schema for all tables, secondary tables, join tables, collection tables, sequence generators, and table generators that apply to the persistence unit catalog - Used as the catalog for all tables, secondary tables, join tables, collection tables, sequence generators, and table generators that apply to the persistence unit delimited-identifiers - Used to treat database identifiers as delimited identifiers. access - Used as the access type for all managed classes in the persistence unit cascade-persist - Adds cascade-persist to the set of cascade options in all entity relationships of the persistence unit entity-listeners - List of default entity listeners to be invoked on each entity in the persistence unit.

Java class for persistence-unit-defaults complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="persistence-unit-defaults">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="schema" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="catalog" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="delimited-identifiers" type="{http://java.sun.com/xml/ns/persistence/orm}emptyType" minOccurs="0"/>
             <element name="access" type="{http://java.sun.com/xml/ns/persistence/orm}access-type" minOccurs="0"/>
             <element name="cascade-persist" type="{http://java.sun.com/xml/ns/persistence/orm}emptyType" minOccurs="0"/>
             <element name="entity-listeners" type="{http://java.sun.com/xml/ns/persistence/orm}entity-listeners" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected JaxbAccessType` | `access`
`protected JaxbEmptyType` | `cascadePersist`
`protected String` | `catalog`
`protected JaxbEmptyType` | `delimitedIdentifiers`
`protected String` | `description`
`protected JaxbEntityListeners` | `entityListeners`
`protected String` | `schema`

Constructor Summary
`JaxbPersistenceUnitDefaults()`

Method Summary
`JaxbAccessType` | `getAccess()` Gets the value of the access property.
`JaxbEmptyType` | `getCascadePersist()` Gets the value of the cascadePersist property.
`String` | `getCatalog()` Gets the value of the catalog property.
`JaxbEmptyType` | `getDelimitedIdentifiers()` Gets the value of the delimitedIdentifiers property.
`String` | `getDescription()` Gets the value of the description property.
`JaxbEntityListeners` | `getEntityListeners()` Gets the value of the entityListeners property.
`String` | `getSchema()` Gets the value of the schema property.
`void` | `setAccess(JaxbAccessType value)` Sets the value of the access property.
`void` | `setCascadePersist(JaxbEmptyType value)` Sets the value of the cascadePersist property.
`void` | `setCatalog(String value)` Sets the value of the catalog property.
`void` | `setDelimitedIdentifiers(JaxbEmptyType value)` Sets the value of the delimitedIdentifiers property.
`void` | `setDescription(String value)` Sets the value of the description property.
`void` | `setEntityListeners(JaxbEntityListeners value)` Sets the value of the entityListeners property.
`void` | `setSchema(String value)` Sets the value of the schema property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    protected String description

### schema

    protected String schema

### catalog

    protected String catalog

### delimitedIdentifiers

    protected JaxbEmptyType delimitedIdentifiers

### access

    protected JaxbAccessType access

### cascadePersist

    protected JaxbEmptyType cascadePersist

### entityListeners

    protected JaxbEntityListeners entityListeners

Constructor Detail

### JaxbPersistenceUnitDefaults

    public JaxbPersistenceUnitDefaults()

Method Detail

### getDescription

    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getSchema

    public String getSchema()

  Gets the value of the schema property.

  Returns:
    possible object is `String`

### setSchema

    public void setSchema(String value)

  Sets the value of the schema property.

  Parameters:
    `value` - allowed object is `String`

### getCatalog

    public String getCatalog()

  Gets the value of the catalog property.

  Returns:
    possible object is `String`

### setCatalog

    public void setCatalog(String value)

  Sets the value of the catalog property.

  Parameters:
    `value` - allowed object is `String`

### getDelimitedIdentifiers

    public JaxbEmptyType getDelimitedIdentifiers()

  Gets the value of the delimitedIdentifiers property.

  Returns:
    possible object is `JaxbEmptyType`

### setDelimitedIdentifiers

    public void setDelimitedIdentifiers(JaxbEmptyType value)

  Sets the value of the delimitedIdentifiers property.

  Parameters:
    `value` - allowed object is `JaxbEmptyType`

### getAccess

    public JaxbAccessType getAccess()

  Gets the value of the access property.

  Returns:
    possible object is `JaxbAccessType`

### setAccess

    public void setAccess(JaxbAccessType value)

  Sets the value of the access property.

  Parameters:
    `value` - allowed object is `JaxbAccessType`

### getCascadePersist

    public JaxbEmptyType getCascadePersist()

  Gets the value of the cascadePersist property.

  Returns:
    possible object is `JaxbEmptyType`

### setCascadePersist

    public void setCascadePersist(JaxbEmptyType value)

  Sets the value of the cascadePersist property.

  Parameters:
    `value` - allowed object is `JaxbEmptyType`

### getEntityListeners

    public JaxbEntityListeners getEntityListeners()

  Gets the value of the entityListeners property.

  Returns:
    possible object is `JaxbEntityListeners`

### setEntityListeners

    public void setEntityListeners(JaxbEntityListeners value)

  Sets the value of the entityListeners property.

  Parameters:
    `value` - allowed object is `JaxbEntityListeners`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.